/* 0.3.0 */
/**
 * ## Reference
 * TeX source code:
 * {@link  http://tug.org/texlive/devsrc/Build/source/texk/web2c/tex.web | Tex.web}
 *
 */
export declare type Token = string;
/**
 * Create Tokens from a stream of LaTeX
 *
 * @param s - A string of LaTeX. It can include comments (with the `%`
 * marker) and multiple lines.
 */
export declare function tokenize(s: string, args: string[]): Token[];
export declare function joinLatex(segments: string[]): string;
export declare function tokensToString(tokens: Token | Token[] | [Token[] | Token][]): string;
