/* 0.3.0 */
import { NumberFormattingOptions, ParseLatexOptions, SerializeLatexOptions } from './public';
export declare const DEFAULT_LATEX_NUMBER_OPTIONS: Required<NumberFormattingOptions>;
export declare const DEFAULT_PARSE_LATEX_OPTIONS: Required<ParseLatexOptions>;
export declare const DEFAULT_SERIALIZE_LATEX_OPTIONS: Required<SerializeLatexOptions>;
export declare function appendLatex(src: string, s: string): string;
/**
 * Replace '#1', '#2' in the latex template stings with the corresponding
 * values from `replacement`, in a Latex syntax safe manner (i.e. inserting spaces when needed)
 */
export declare function replaceLatex(template: string, replacement: string[]): string;
