/* 0.3.0 */
import { Expression } from '../../public';
import type { ComputeEngine, Dictionary, Numeric } from '../public';
export declare const ARITHMETIC_DICTIONARY: Dictionary<Numeric>;
/** Apply some simplifications for negate.
 * Used by `canonical-negate` and `simplify`
 */
export declare function applyNegate(expr: Expression): Expression;
export declare function ungroup(expr: Expression | null): Expression;
export declare function applyPower(engine: ComputeEngine, expr: Expression): Expression;
/** Used by `simplify` and `canonical` to simplify some arithmetic
 * and trigonometric constants */
export declare function applyConstants(expr: Expression): Expression;
