/* 0.3.0 */
export declare const MACHINE_PRECISION_BITS = 53;
export declare const MACHINE_PRECISION: number;
export declare const MACHINE_TOLERANCE_BITS = 7;
export declare const MACHINE_TOLERANCE: number;
export declare const NUMERICAL_TOLERANCE: number;
export declare function chop(x: number): number;
/**
 * Returns the smallest floating-point number greater than x.
 * Denormalized values may not be supported.
 */
export declare function nextUp(x: number): number;
export declare function nextDown(x: number): number;
export declare const SMALL_PRIMES: Set<number>;
export declare const LARGEST_SMALL_PRIME = 7919;
export declare function primeFactors(_n: number): {
    [factor: number]: number;
};
export declare function gcd(a: number, b: number): number;
export declare function lcm(a: number, b: number): number;
export declare function factorial(n: number): number;
